## SXShape

形状

### 方法

#### delete() : void

```
/**
 * 释放 shape
 */

```

#### moveTo(x : number, y : number) : void
```
	/**
	 * 用的到新的坐标点，开始绘制一段新的路径
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */
```

#### lineTo(x : number, y : number) : void
```
	/**
	 * 从当前路径的最后一个坐标点开始绘制一条直线到新的坐标点
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */
```

#### bezierTo(c1x : number, c1y : number, c2x : number, c2y : number, x : number, y: number) :void
```
	/**
	 * 从当前路径的最后一个坐标点开始绘制一段三次贝塞尔曲线到新的坐标点
	 * @param x1 第一个控制点x坐标
	 * @param y1 第一个控制点y坐标
	 * @param x2 第二个控制点x坐标
	 * @param y2 第二个控制点y坐标
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */

```


#### rect(x : number, y : number, w : number, h : number) : void
```
    /**
     * 绘制矩形
     * @param x 起点x
     * @param y 起点y
     * @param w 宽度
     * @param h 高度
     */

```

#### ellipse(cx : number, cy : number, rx : number, ry : number ) : void
```
    /**
     * 绘制椭圆
     * @param cx 圆心x
     * @param cy 圆心y
     * @param rx x轴半径
     * @param ry y轴半径
     */
```

#### circle(cx : number, cy : number, r : number) : void
```
    /**
     * 绘制圆形
     * @param cx 圆心x
     * @param cy 圆心y
     * @param r 半径
     */
```

#### closePath() : void
```
    /**
	 * 闭合此路径
	 */
```

#### transform(affine : SXAffine) : void
```
    /**
     * 直接应用矩阵到形状上
     * @note 应用矩阵会直接修改坐标点
     * @param affine 变换矩阵
     */
```

#### translate(x : number, y : number) : void
```
    /**
     * 位移
     * @param x x轴位移
     * @param y y轴位移
     */
```

#### scale(x : number, y : number) : void
```
    /**
     * 缩放
     * @param x x轴缩放
     * @param y y轴缩放
     */
```
#### rotate(degree : number) : void
```
    /**
     * 旋转
     * @param angle 旋转角度
     */
```


#### getSegmentPaths() : vector<SXSegmentPath>
```
    /**
     * 获取所有路径
     * @return 路径数组
     */

```

#### clear() : void
```
    /**
     * 清除所有路径
     */
```

---
## SXSegmentPath

路径

### 方法

#### isEmpty() : bool
```
	/**
	 * 是否无坐标点
	 * @return
	 */
```
#### isBezierCurve() : bool
```
	/**
	 * 是否是3次贝塞尔曲线，否则是直线
	 * @param idx 线段索引，n个坐标只有n-1条线段
	 * @return 是贝塞尔曲线返回true
	 */
```
#### controlPoint1(idx : number) : SXVec2
```
	/**
	 * 对应线段的第一个控制点
	 * @param idx 线段索引，n个坐标只有n-1条线段
	 * @return 控制点坐标
	 */
```
#### controlPoint2(idx : number) : SXVec2
```
/**
	 * 对应线段的第二个控制点
	 * @param idx 线段索引，n个坐标只有n-1条线段
	 * @return 控制点坐标
	 */
```

#### moveTo(x : number, y : number) : void
```
	/**
	 * 用的到新的坐标点，开始绘制一段新的路径
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */
```

#### lineTo(x : number, y : number) : void
```
	/**
	 * 从当前路径的最后一个坐标点开始绘制一条直线到新的坐标点
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */
```

#### bezierTo(c1x : number, c1y : number, c2x : number, c2y : number, x : number, y: number) :void
```
	/**
	 * 从当前路径的最后一个坐标点开始绘制一段三次贝塞尔曲线到新的坐标点
	 * @param x1 第一个控制点x坐标
	 * @param y1 第一个控制点y坐标
	 * @param x2 第二个控制点x坐标
	 * @param y2 第二个控制点y坐标
	 * @param x 新的坐标点x
	 * @param y 新的坐标点y
	 */

```

#### clear() : void
```
    /**
     * 清除所有路径
     */
```

#### closePath() : void
```
    /**
	 * 闭合此路径
	 */
```
#### transform(affine : SXAffine) : void
```
    /**
     * 直接应用矩阵到形状上
     * @note 应用矩阵会直接修改坐标点
     * @param affine 变换矩阵
     */
```

#### translate(x : number, y : number) : void
```
    /**
     * 位移
     * @param x x轴位移
     * @param y y轴位移
     */
```

#### scale(x : number, y : number) : void
```
    /**
     * 缩放
     * @param x x轴缩放
     * @param y y轴缩放
     */
```
#### rotate(degree : number) : void
```
    /**
     * 旋转
     * @param angle 旋转角度
     */
```